<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>
    </ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{BA96F9FB-2365-42F3-AE77-D08203474BE3}</ProjectGuid>
    <ProjectTypeGuids>{349c5851-65df-11da-9384-00065b846f21};{fae04ec0-301f-11d3-bf4b-00c04f79efbc}</ProjectTypeGuids>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>MultiRowExplorer</RootNamespace>
    <AssemblyName>MultiRowExplorer</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <MvcBuildViews>false</MvcBuildViews>
    <UseIISExpress>true</UseIISExpress>
    <IISExpressSSLPort />
    <IISExpressAnonymousAuthentication />
    <IISExpressWindowsAuthentication />
    <IISExpressUseClassicPipelineMode />
    <UseGlobalApplicationHostFile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="C1.Web.Mvc">
      <Private>True</Private>
    </Reference>
    <Reference Include="C1.Web.Mvc.MultiRow">
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Security" />
    <Reference Include="System.Web.Cors, Version=5.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\packages\Microsoft.AspNet.Cors.5.0.0\lib\net45\System.Web.Cors.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Web.DynamicData" />
    <Reference Include="System.Web.Entity" />
    <Reference Include="System.Web.ApplicationServices" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Web" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Web.Abstractions" />
    <Reference Include="System.Web.Routing" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Web.Services" />
    <Reference Include="System.EnterpriseServices" />
    <Reference Include="Microsoft.Web.Infrastructure, Version=1.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <Private>True</Private>
      <HintPath>..\packages\Microsoft.Web.Infrastructure.1.0.0.0\lib\net40\Microsoft.Web.Infrastructure.dll</HintPath>
    </Reference>
    <Reference Include="System.Net.Http">
    </Reference>
    <Reference Include="System.Net.Http.WebRequest">
    </Reference>
    <Reference Include="System.Web.Helpers, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <Private>True</Private>
      <HintPath>..\packages\Microsoft.AspNet.WebPages.3.2.3\lib\net45\System.Web.Helpers.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Mvc, Version=5.2.3.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <Private>True</Private>
      <HintPath>..\packages\Microsoft.AspNet.Mvc.5.2.3\lib\net45\System.Web.Mvc.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Optimization">
      <HintPath>..\packages\Microsoft.AspNet.Web.Optimization.1.1.3\lib\net40\System.Web.Optimization.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Razor, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <Private>True</Private>
      <HintPath>..\packages\Microsoft.AspNet.Razor.3.2.3\lib\net45\System.Web.Razor.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.WebPages, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <Private>True</Private>
      <HintPath>..\packages\Microsoft.AspNet.WebPages.3.2.3\lib\net45\System.Web.WebPages.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.WebPages.Deployment, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <Private>True</Private>
      <HintPath>..\packages\Microsoft.AspNet.WebPages.3.2.3\lib\net45\System.Web.WebPages.Deployment.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.WebPages.Razor, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <Private>True</Private>
      <HintPath>..\packages\Microsoft.AspNet.WebPages.3.2.3\lib\net45\System.Web.WebPages.Razor.dll</HintPath>
    </Reference>
    <Reference Include="WebGrease">
      <Private>True</Private>
      <HintPath>..\packages\WebGrease.1.5.2\lib\WebGrease.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json">
      <HintPath>..\packages\Newtonsoft.Json.6.0.4\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="EntityFramework">
      <HintPath>..\packages\EntityFramework.6.1.3\lib\net45\EntityFramework.dll</HintPath>
    </Reference>
    <Reference Include="EntityFramework.SqlServer">
      <HintPath>..\packages\EntityFramework.6.1.3\lib\net45\EntityFramework.SqlServer.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="App_GlobalResources\MultiRowExplorer.designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>MultiRowExplorer.resx</DependentUpon>
    </Compile>
    <Compile Include="App_GlobalResources\MultiRowExplorer.ja.designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>MultiRowExplorer.ja.resx</DependentUpon>
    </Compile>
    <Compile Include="App_Start\BundleConfig.cs" />
    <Compile Include="App_Start\FilterConfig.cs" />
    <Compile Include="App_Start\RouteConfig.cs" />
    <Compile Include="Controllers\MultiRow\BatchEditingController.cs" />
    <Compile Include="Controllers\MultiRow\DisableServerReadController.cs" />
    <Compile Include="Controllers\MultiRow\ExcelExportController.cs" />
    <Compile Include="Controllers\MultiRow\FreezingController.cs" />
    <Compile Include="Controllers\MultiRow\PdfExportController.cs" />
    <Compile Include="Controllers\MultiRow\RemoteBindController.cs" />
    <Compile Include="Controllers\MultiRow\SortingController.cs" />
    <Compile Include="Controllers\MultiRow\StylingController.cs" />
    <Compile Include="Controllers\MultiRow\CollapsedHeadersController.cs" />
    <Compile Include="Controllers\MultiRow\CustomCellsController.cs" />
    <Compile Include="Controllers\MultiRow\CustomEditorsController.cs" />
    <Compile Include="Controllers\MultiRow\DataMapController.cs" />
    <Compile Include="Controllers\MultiRow\EditingController.cs" />
    <Compile Include="Controllers\MultiRow\FilterController.cs" />
    <Compile Include="Controllers\MultiRow\GroupingController.cs" />
    <Compile Include="Controllers\MultiRow\GroupPanelController.cs" />
    <Compile Include="Controllers\MultiRow\IndexController.cs" />
    <Compile Include="Controllers\MultiRow\PagingController.cs" />
    <Compile Include="Controllers\MultiRow\UnobtrusiveValidationController.cs" />
    <Compile Include="Controllers\MultiRow\VirtualScrollingController.cs" />
    <Compile Include="Global.asax.cs">
      <DependentUpon>Global.asax</DependentUpon>
    </Compile>
    <Compile Include="Models\C1NWind.Context.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>C1NWind.Context.tt</DependentUpon>
    </Compile>
    <Compile Include="Models\C1NWind.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>C1NWind.tt</DependentUpon>
    </Compile>
    <Compile Include="Models\C1NWind.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>C1NWind.edmx</DependentUpon>
    </Compile>
    <Compile Include="Models\Category.cs">
      <DependentUpon>C1NWind.tt</DependentUpon>
    </Compile>
    <Compile Include="Models\ClientSettingsModel.cs" />
    <Compile Include="Models\ControlOptions.cs" />
    <Compile Include="Models\ControlPages.cs" />
    <Compile Include="Models\Countries.cs" />
    <Compile Include="Models\Customer.cs">
      <DependentUpon>C1NWind.tt</DependentUpon>
    </Compile>
    <Compile Include="Models\CustomerSale.cs" />
    <Compile Include="Models\CustomerWithOrders.cs" />
    <Compile Include="Models\Employee.cs">
      <DependentUpon>C1NWind.tt</DependentUpon>
    </Compile>
    <Compile Include="Models\LayoutDefinitions.cs" />
    <Compile Include="Models\NamedColor.cs" />
    <Compile Include="Models\Order.cs">
      <DependentUpon>C1NWind.tt</DependentUpon>
    </Compile>
    <Compile Include="Models\Orders.cs" />
    <Compile Include="Models\Product.cs">
      <DependentUpon>C1NWind.tt</DependentUpon>
    </Compile>
    <Compile Include="Models\Sale.cs" />
    <Compile Include="Models\Supplier.cs">
      <DependentUpon>C1NWind.tt</DependentUpon>
    </Compile>
    <Compile Include="Models\Theme.cs" />
    <Compile Include="Models\UserData.cs" />
    <Compile Include="Models\UserInfo.cs" />
    <Compile Include="Models\ValueWrapper.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Content\ControlPages.xml" />
    <Content Include="Content\css\CustomMultiRow.css" />
    <Content Include="Content\css\app.css" />
    <Content Include="Content\css\bootstrap\css\bootstrap.css" />
    <Content Include="Content\css\bootstrap\fonts\glyphicons-halflings-regular.svg" />
    <Content Include="Content\css\explorer.css" />
    <Content Include="Content\css\gcicons.css" />
    <Content Include="Content\css\gcicons.ja.css" />
    <Content Include="Content\favicon\android-chrome-192x192.png" />
    <Content Include="Content\favicon\android-chrome-256x256.png" />
    <Content Include="Content\favicon\apple-touch-icon.png" />
    <Content Include="Content\favicon\favicon-16x16.png" />
    <Content Include="Content\favicon\favicon-32x32.png" />
    <Content Include="Content\favicon\safari-pinned-tab.svg" />
    <Content Include="Content\images\cellGroup.ja.png" />
    <Content Include="Content\images\cellGroup.png" />
    <Content Include="Content\css\images\icons\30\facebook.png" />
    <Content Include="Content\css\images\icons\30\google.png" />
    <Content Include="Content\css\images\icons\32\picons33.png" />
    <Content Include="Content\css\images\icons\32\picons36.png" />
    <Content Include="Content\css\Site.css" />
    <Content Include="Content\css\SyntaxHighlighter\shCore.css" />
    <Content Include="Content\css\SyntaxHighlighter\shCoreEclipse.css" />
    <Content Include="Global.asax" />
    <Content Include="Models\C1NWind.Context.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>C1NWind.edmx</DependentUpon>
      <LastGenOutput>C1NWind.Context.cs</LastGenOutput>
    </Content>
    <Content Include="Models\C1NWind.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>C1NWind.edmx</DependentUpon>
      <LastGenOutput>C1NWind.cs</LastGenOutput>
    </Content>
    <Content Include="readme.txt" />
    <Content Include="Scripts\ControlLayout.js" />
    <Content Include="Scripts\jquery.js" />
    <Content Include="Scripts\jquery.unobtrusive-ajax.js" />
    <Content Include="Scripts\jquery.validate-vsdoc.js" />
    <Content Include="Scripts\jquery.validate.js" />
    <Content Include="Scripts\jquery.validate.unobtrusive.js" />
    <Content Include="Scripts\Layout.js" />
    <Content Include="Scripts\MultiLevelMenu.js" />
    <Content Include="Scripts\SyntaxHighlighter\shBrushCSharp.js" />
    <Content Include="Scripts\SyntaxHighlighter\shBrushJScript.js" />
    <Content Include="Scripts\SyntaxHighlighter\shBrushXml.js" />
    <Content Include="Scripts\SyntaxHighlighter\shCore.js" />
    <Content Include="Web.config" />
    <Content Include="Web.Debug.config">
      <DependentUpon>Web.config</DependentUpon>
    </Content>
    <Content Include="Web.Release.config">
      <DependentUpon>Web.config</DependentUpon>
    </Content>
    <Content Include="Views\Web.config" />
    <Content Include="Views\_ViewStart.cshtml" />
    <Content Include="Views\Shared\Error.cshtml" />
    <Content Include="Views\Shared\_Layout.cshtml" />
    <Content Include="Views\Shared\_ControlLayout.cshtml" />
    <Content Include="Views\MultiRow\Index.cshtml" />
    <Content Include="Views\Shared\_ControlsNav.cshtml" />
    <Content Include="Views\Shared\_DemoSource.cshtml" />
    <Content Include="Views\Shared\_ThemeSelector.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="App_Data\" />
    <Folder Include="Scripts\BootStrap\" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Views\Shared\_OptionsMenu.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="App_GlobalResources\MultiRowExplorer.resx">
      <Generator>GlobalResourceProxyGenerator</Generator>
      <SubType>Designer</SubType>
      <LastGenOutput>MultiRowExplorer1.designer.cs</LastGenOutput>
    </Content>
    <Content Include="App_GlobalResources\MultiRowExplorer.ja.resx">
      <Generator>GlobalResourceProxyGenerator</Generator>
      <LastGenOutput>MultiRowExplorer.ja.designer.cs</LastGenOutput>
    </Content>
    <EmbeddedResource Include="Properties\licenses.licx" />
  </ItemGroup>
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
  </ItemGroup>
  <ItemGroup>
    <EntityDeploy Include="Models\C1NWind.edmx">
      <Generator>EntityModelCodeGenerator</Generator>
      <LastGenOutput>C1NWind.Designer.cs</LastGenOutput>
    </EntityDeploy>
  </ItemGroup>
  <ItemGroup>
    <Content Include="Models\C1NWind.edmx.diagram">
      <DependentUpon>C1NWind.edmx</DependentUpon>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <Content Include="Views\MultiRow\Paging.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Views\Shared\_ClientSettingsByMenu.cshtml" />
    <Content Include="Views\Shared\_SiteNav.cshtml" />
    <Content Include="Views\Shared\_ThemeList.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Content\css\bootstrap\fonts\glyphicons-halflings-regular.eot" />
    <Content Include="Content\css\bootstrap\fonts\glyphicons-halflings-regular.ttf" />
    <Content Include="Content\css\bootstrap\fonts\glyphicons-halflings-regular.woff" />
    <Content Include="Content\fonts\controls.woff" />
    <Content Include="Content\fonts\fira\FiraSans-Bold.ttf" />
    <Content Include="Content\fonts\fira\FiraSans-Regular.ttf" />
    <Content Include="Content\fonts\fira\LICENSE" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Views\MultiRow\Grouping.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Views\MultiRow\GroupPanel.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Views\MultiRow\DataMap.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Views\MultiRow\Editing.cshtml" />
    <Content Include="Views\MultiRow\BatchEditing.cshtml" />
    <Content Include="Views\MultiRow\CustomCells.cshtml" />
    <Content Include="Views\MultiRow\CustomEditors.cshtml" />
    <Content Include="Views\MultiRow\Styling.cshtml" />
    <Content Include="Views\MultiRow\Freezing.cshtml" />
    <Content Include="Views\MultiRow\RemoteBind.cshtml" />
    <Content Include="Views\MultiRow\Sorting.cshtml" />
    <Content Include="Views\MultiRow\VirtualScrolling.cshtml" />
    <Content Include="Views\MultiRow\DisableServerRead.cshtml" />
    <Content Include="Views\MultiRow\UnobtrusiveValidation.cshtml" />
    <Content Include="Views\MultiRow\ExcelExport.cshtml" />
    <Content Include="Views\MultiRow\PdfExport.cshtml" />
    <Content Include="Views\MultiRow\Filter.cshtml" />
    <Content Include="Views\MultiRow\CollapsedHeaders.cshtml" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Content\favicon\manifest.json" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Content\fonts\gcicons.ttf" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Content\fonts\grapecity-dev.ttf" />
  </ItemGroup>
  <PropertyGroup>
    <VisualStudioVersion Condition="'$(VisualStudioVersion)' == ''">10.0</VisualStudioVersion>
    <VSToolsPath Condition="'$(VSToolsPath)' == ''">$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v$(VisualStudioVersion)</VSToolsPath>
  </PropertyGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <Import Project="$(VSToolsPath)\WebApplications\Microsoft.WebApplication.targets" Condition="'$(VSToolsPath)' != ''" />
  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v10.0\WebApplications\Microsoft.WebApplication.targets" Condition="false" />
  <Target Name="MvcBuildViews" AfterTargets="AfterBuild" Condition="'$(MvcBuildViews)'=='true'">
    <AspNetCompiler VirtualPath="temp" PhysicalPath="$(WebProjectOutputDir)" />
  </Target>
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{349c5851-65df-11da-9384-00065b846f21}">
        <WebProjectProperties>
          <UseIIS>True</UseIIS>
          <AutoAssignPort>True</AutoAssignPort>
          <DevelopmentServerPort>6306</DevelopmentServerPort>
          <DevelopmentServerVPath>/</DevelopmentServerVPath>
          <IISUrl>http://localhost:8022/</IISUrl>
          <NTLMAuthentication>False</NTLMAuthentication>
          <UseCustomServer>False</UseCustomServer>
          <CustomServerUrl>
          </CustomServerUrl>
          <SaveServerSettingsInUserFile>False</SaveServerSettingsInUserFile>
        </WebProjectProperties>
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it.
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target> -->
</Project>